// file: $isip/doc/examples/class/pr/pr_example_00/example.cc
// version: $Id: example.cc 6984 2001-05-11 16:47:38Z jelinek $
//

// isip include files
//
#include <HiddenMarkovModel.h>

int main(int argc, const char** argv) {

  // declare a HiddenMarkovModel object
  //
  HiddenMarkovModel hmm;

  // read the hmm parameters from the parameter file
  //
  Filename param_file(L"$ISIP_DEVEL/class/pr/HiddenMarkovModel/diagnose_params.sof");
  Sof param_sof;

  param_sof.open(param_file);
  hmm.read(param_sof, param_sof.first(hmm.name()));
  hmm.setVerbosity(Integral::ALL);
  param_sof.close();

  // set up the input speech file list
  //      
  Sdb raw_list_sdb;
  boolean is_list = true;
  raw_list_sdb.append(L"$ISIP_DEVEL/class/pr/HiddenMarkovModel/diagnose_raw_list.sof", is_list);

  // set up the front end parameters file
  //
  hmm.setParamFile(param_file);
  
  // run the HiddenMarkovModel recongizer on the input speech file list
  //
  hmm.run(raw_list_sdb);
}
